--- title: "Delete assignment target" slug: "delete-assignment-targets" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/delete-assignment-targets" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete assignment target Available in Classic and VPC Delete a target (SSO user, group) added to an assignment. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/assignments/{assignmentId}/targets/delete | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `assignmentId` | String | Required | Assignment ID - See [Get assignment list](/docs/en/get-assignments) | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `targetType` | String | Required | Target type - `user` \| `group` - `user`: SSO user - `group`: group | | `targetIds` | Array | Required | Target ID - If `targetType` is `user`, see [Get SSO user list](/docs/en/get-users) - If `targetType` is `group`, see [Get group list](/docs/en/get-groups) | ### Request example The request example is as follows: ``` curl --location --request POST 'https://sso.apigw.ntruss.com/api/v1/assignments/2c15b16c-****-****-****-3e7207ff2bf6/targets/delete' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "targetType": "group", "targetIds": [ "12cfbd94-****-****-****-2ff725201395" ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | Assignment ID | | `success` | Boolean | - | API processing result | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "id": "2c15b16c-****-****-****-3e7207ff2bf6", "success": true } ```